Package Details: aacskeys 0.4.0e-7

Git Clone URL: https://aur.archlinux.org/aacskeys.git (read-only)
Package Base: aacskeys
Description: A library and program to retrieve decryption keys for HD discs
Upstream URL: http://forum.doom9.org/showthread.php?t=123311
Keywords: aacs hddiscs hdvd java keys
Licenses: custom
Submitter: paulburton
Maintainer: Jristz
Last Packager: Jristz
Votes: 42
Popularity: 0.665170
First Submitted: 2011-01-05 15:04
Last Updated: 2016-09-19 00:19

Latest Comments

JSpaces commented on 2016-09-17 21:53

A new update exists at:
http://www.deb-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e-dmo7.diff.gz
Thus the latest version would be 0.4.0e-7.

zebulon commented on 2013-11-03 11:03

Someone flagged this package out of date. However, I cannot locate any new version on the net. aacskeys works properly on my machine. If you have problems, please post your problem, do not simply flag the package. If you are aware of a new version, please provide a link. Thank you.

zebulon commented on 2012-12-28 14:38

Thanks for the notification. I shall resubmit a new PKGBUILD soon. I just have a problem with the source command, which now fails. As soon as I find out a solution, I'll submit a new release.

Anonymous comment on 2012-12-27 09:27

The URL http://debian-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz
does not exist anymore and must be changed in the PKGBUILD file to
http://deb-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz

Anonymous comment on 2012-12-27 09:26

The URL http://debian-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz
does not exist anymore and must be changed in the PKGBUILD file to
http://deb-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz

Anonymous comment on 2012-12-27 09:25

The URL http://debian-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz
does not exist anymore and must be changed in the PKGBUILD file to
http://deb-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz

Anonymous comment on 2012-12-27 09:17

The URL http://debian-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz
does not exist anymore and must be changed in the PKGBUILD file to
http://deb-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0e.orig.tar.gz

Chais commented on 2012-09-11 17:15

Commenting
source /etc/profile
did the trick for me.
$JAVA_HOME is available without it.

dront78 commented on 2012-09-09 04:44

unable to build

yaourt -S aacskeys

patching file debian/patches/01_jdk-include-path.diff
==> ОШИБКА: Произошел сбой в build().
Преждевременный выход...
==> ERROR: Makepkg was unable to build aacskeys.
==> Restart building aacskeys ? [y/N]

zebulon commented on 2012-06-23 14:01

Updated to reliable repositories.

zebulon commented on 2012-05-11 07:48

Hi. The warning is nothing to worry about: in the code, they assigned NULL to a non-pointer. Usually NULL is reserved to pointers (and this is good practice: this way you avoid having a "hanging" pointer, which may be a security risk). For int variables, they should use 0 instead. I could provide a patch though.

sl1pkn07 commented on 2012-05-10 16:06

@zebulon

oh! sorry. my fault. acapacker/packscanner is in dumphd


anhoter quiestion. is fossible fix this warning?

src/ioctl.cpp: In constructor 'Drive::Drive()':
src/ioctl.cpp:12:61: warning: converting to non-pointer type 'int' from NULL [-Wconversion-null]

greetings

zebulon commented on 2012-05-10 11:53

OK, I have uploaded a new version, which corrects the Host cert authentication issue in 0.4.0c (even with non revocated certs). Furthermore, it provides up-to-mkb v28 host key and cert files.

zebulon commented on 2012-05-10 08:47

@sl1pkn07: I am not familiar with those. I looked into it and found them related to dumphd. Can you please give a link for those?

sl1pkn07 commented on 2012-04-18 11:25

is possible add support for "acapacker" and "packscanner"?

zebulon commented on 2012-03-13 13:31

Found the solution: I source /etc/profile before compiling, this takes care of setting JAVA_HOME correctly.

zebulon commented on 2012-03-13 09:40

Note that if you never installed a java-environment, then this PKGBUILD fails because despite java is installed, $JAVA_HOME is not immediately set. After rebooting, this AUR would work then. I'll see if it is possible to source $JAVA_HOME in the PKGBUILD.

zebulon commented on 2012-02-28 12:03

You're welcome :)

Anonymous comment on 2012-02-27 09:03

It works just fine now. Thanks for your good work ! =)

zebulon commented on 2012-02-26 18:01

Verson 8, should be fine now. Thanks for reporting.

zebulon commented on 2012-02-26 18:01

Version 8

zebulon commented on 2012-02-26 17:52

You are right, there is a compilation issue. I am going to release an update soon, sorry for that.

zebulon commented on 2012-02-26 17:46

Hi, which java environement have you got installed? jni.h is provided by:
community/classpath
archlinuxfr/gcc-gcj
extra/jdk7-openjdk
extra/openjdk6

Maybe I should replace "java-environeent" with jdk7-openjdk, to have it explicitly? java-environement is just an alias for the latest java jdk.

Anonymous comment on 2012-02-25 19:33

It doesn't compile.
"In file included from src/aacskeys.cpp:33:0:
src/aacskeys.h:8:17: erreur fatale: jni.h : Aucun fichier ou dossier de ce type
compilation terminée.
make[1]: *** [obj/linux/ReleaseLib/aacskeys.o] Erreur 1
make: *** [libaacskeys] Erreur 2
==> ERREUR : Une erreur s'est produite dans build().
Abandon...
==> ERREUR: Makepkg n'a pas pu construire aacskeys."

zebulon commented on 2012-02-22 19:38

I just bumped to release 7, should compile correctly now with openJDK 1.7.

stubb commented on 2012-02-22 19:34

@zelbulon
Updating the package description and the dependencies should be enough to unflag 'out-of-date' again.

zebulon commented on 2012-02-22 19:31

Hi Stubb. Actually uploading a new version is just enough. I just uploaded release 6.

stubb commented on 2012-02-22 19:19

@zelbulon
Updating the package description and the dependencies should be enough to unflag 'out-of-date' again.

zebulon commented on 2012-02-22 19:16

Hi,
I am adopting this package if nobody objects about it. I am experienced in Linux and multimedia, in rpm packaging but less in AUR packaging. However this one should not be too difficult to maintain.

Thanks.

Anonymous comment on 2012-02-21 22:14

I got an error about jni.h not found while compiling.
Modifing the last "sed" line in PKGBUILD like this solved the problem:

sed -i "s|/usr/lib/jvm/java-6-sun/include|$JAVA_HOME/../include|" premake.lua

Anonymous comment on 2012-02-12 21:55

compiles like a charm.

Thanks!

stubb commented on 2012-02-12 21:38

Try to install premake3, premake4 is installed by default.

Anonymous comment on 2012-02-12 19:23

No Premake script (premake4.lua) found!

does anybody get the same error? I am not able to compile.

mazieres commented on 2012-02-05 21:14

In order to build this package you must install both premake3 and classpath. (Without classpath, it cannot find jni.h.) These should be fixed in the PKGFILE...

vendion commented on 2012-02-04 20:12

@stubb: Thanks didn't thing the WWW made a difference

stubb commented on 2012-01-31 09:24

@vendion: http://www.debian-multimedia.org/pool/main/a/aacskeys/aacskeys_0.4.0c.orig.tar.gz

WWW is missing in the link of the package url ...

vendion commented on 2012-01-31 04:30

The location of the source gives 404 when attempting to download

Anonymous comment on 2011-12-28 22:42

The 'premake' dep needs to be changed to 'premake3'

stubb commented on 2011-10-05 19:05

the dependency premake3 is missing

Anonymous comment on 2011-02-13 21:09

The source code of this software is on repository for debian

original source

http://debian-multimedia.org/dists/unstable/main/binary-i386/package/aacskeys.php

http://debian-multimedia.org/pool/main/a/aacskeys/aacskeys.php